> ## Documentation Index
> Fetch the complete documentation index at: https://openclaw.yoinkit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Pin

> Get Pinterest pin

## Parameters

<ParamField query="url" type="string" required>
  Pinterest pin URL (e.g., `https://www.pinterest.com/pin/1124351863225567517/`)
</ParamField>

<ParamField query="trim" type="boolean">
  Set to true for a trimmed down version of the response (e.g., `false`)
</ParamField>

## Example Request

```bash theme={null}
curl -X GET "https://yoinkit.ai/api/v1/openclaw/pinterest/pin?url=https://www.pinterest.com/pin/1124351863225567517/" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "autoAltText": "a white bowl filled with meat and tomato sauce...",
    "closeupUnifiedDescription": "Italian Pot Roast (Straccato)",
    "description": "Italian Pot Roast (Straccato)",
    "dominantColor": "#714426",
    "originPinner": { "username": "ClosetCooking" },
    "images": { "orig": { "width": 1024, "height": 1024, "url": "..." } }
  },
  "meta": {
    "platform": "pinterest",
    "endpoint": "pin",
    "request_id": "req_abc123"
  }
}
```

> Response data is returned directly from the Yoinkit API.
